﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Telerik.Windows.Controls;
using System.Collections.ObjectModel;

namespace SL_RadComboBox
{
    public class MyViewModel : ViewModelBase
    {
        private Person selectedPerson;
        public Person SelectedPerson
        {
            get
            {
                return this.selectedPerson;
            }
            set
            {
                if (this.selectedPerson != value)
                {
                    this.selectedPerson = value;
                    this.OnPropertyChanged("SelectedPerson");
                }
            }
        }

        public ObservableCollection<Gender> ItemsGender { get; set; }
        public ObservableCollection<Person> ItemsPerson { get; set; }

        public MyViewModel()
        {
            this.ItemsGender = new ObservableCollection<Gender>();
            this.ItemsPerson = new ObservableCollection<Person>();

            this.ItemsGender.Add(new Gender("m", "male"));
            this.ItemsGender.Add(new Gender("f", "female"));

            this.ItemsPerson.Add(new Person("Pesho", "m"));
            this.ItemsPerson.Add(new Person("Mitio", "m"));
            this.ItemsPerson.Add(new Person("Katia", "f"));
        }
    }
}
