﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Telerik.Windows.Controls;

namespace SL_RadComboBox
{
    public class Person : ViewModelBase
    {
        private string name;
        public string Name
        {
            get
            {
                return this.name;
            }
            set
            {
                if (this.name != value)
                {
                    this.name = value;
                    this.OnPropertyChanged("Name");
                }
            }
        }

        private string gender_short;
        public string Gender_short
        {
            get
            {
                return this.gender_short;
            }
            set
            {
                if (this.gender_short != value)
                {
                    this.gender_short = value;
                    this.OnPropertyChanged("Gender_short");
                }
            }
        }

        public Person()
        {
        }

        public Person(string name, string gender_short)
        {
            this.name = name;
            this.gender_short = gender_short;
        }
    }
}
